﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Web;
using System.Web.Mvc;

using System.IO;


namespace TinyMCE_Image_Upload_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        [ValidateInput(false)]
        public ActionResult Index(string richText)
        {
            ViewBag.RichText = richText;
            return View();
        }

        [HttpPost]
        public ContentResult Upload(List<HttpPostedFileBase> FileData)
        {
            string fileName = "";
            string path = "~/Uploads/";
            foreach (HttpPostedFileBase postedFile in FileData)
            {
                if (postedFile != null)
                {
                    fileName = Path.GetFileName(postedFile.FileName);
                    postedFile.SaveAs(Server.MapPath(path) + fileName);
                }
            }

            return Content(Url.Content(path + fileName));
        }
    }
}